<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Travel Ultimate Pro
 *
 * @package Theme Palace
 * @subpackage Travel Ultimate Pro
 * @since Travel Ultimate Pro 1.0.0
 */

/*
 * Add social link widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';
/*
 * Add Instagram widget
 */
require get_template_directory() . '/inc/widgets/instagram-widget.php';
/*
 * Add Latest Posts widget
 */
require get_template_directory() . '/inc/widgets/latest-posts-widget.php';
/*
 * Add popular post meta
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-meta.php';
/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-widget.php';
/*
 * Add contact info widget
 */
require get_template_directory() . '/inc/widgets/contact-info-widget.php';


/**
 * Register widgets
 */
function travel_ultimate_pro_register_widgets() {

	register_widget( 'travel_ultimate_pro_Latest_Post' );

	register_widget( 'travel_ultimate_pro_Instagram_Widget' );

    register_widget( 'travel_ultimate_pro_Popular_Post' );

	register_widget( 'travel_ultimate_pro_Contact_Info' );

	register_widget( 'travel_ultimate_pro_Social_Link' );

}
add_action( 'widgets_init', 'travel_ultimate_pro_register_widgets' );